<?php

namespace Teknisa\SM\Util;

class ConsultaInscricaoRF {
    
    public static function consultaDadoRF($cpf,$login, $senha, $dataNascimento = null) {
		/*$opc = array('proxy_host'=>"192.168.122.3",
	             'proxy_port'=>8080,
	             'proxy_login'=>"",
	             'proxy_password'=>"");*/
		$client = new \SoapClient('http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx?WSDL');
		$arguments = null;
        if (strlen($cpf) == 14){
            $function = 'PessoaJuridicaNFe';
			$arguments = array(array('Credenciais' => array('Email' => $login,'Senha' => $senha),'Documento' => $cpf));
        }
        else{
            $function = 'PessoaFisicaSimplificada';
			$arguments = array(array('Credenciais' => array('Email' => $login,'Senha' => $senha),'Documento' => $cpf, 'DataNascimento' => $dataNascimento));
        }
        if (!is_null($arguments))
            return  array("Status" => false, "CONEXAO" => true);
        
		$options = array('location' => 'http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx');
        try {
            $result = $client->__soapCall($function, $arguments, $options);
        } catch (\Exception $e) {
            return  array("Status" => false, "CONEXAO" => true);
        }

	 	$result = json_encode($result);
	 	$resultadoConsulta = json_decode($result,true);
		return $resultadoConsulta[$function.'Result'];
	}
	
}
